Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Interface HtmlColor

public interface HtmlColor

Encapsulation class for color names that are part of the HTML specification. Most browsers that deal with color understand the color names in this class. Or you can use a hex six-letter value of an RGB color, for example, HtmlColor.white is the same as #FFFFFF.

Author:
  Copyright (c) 1996 by WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `aliceblue`
`static java.lang.String` | `antiquewhite`
`static java.lang.String` | `aqua`
`static java.lang.String` | `aquamarine`
`static java.lang.String` | `azure`
`static java.lang.String` | `beige`
`static java.lang.String` | `bisque`
`static java.lang.String` | `black`
`static java.lang.String` | `blanchedalmond`
`static java.lang.String` | `blue`
`static java.lang.String` | `blueviolet`
`static java.lang.String` | `brown`
`static java.lang.String` | `burlywood`
`static java.lang.String` | `cadetblue`
`static java.lang.String` | `chartreuse`
`static java.lang.String` | `chocolate`
`static java.lang.String` | `coral`
`static java.lang.String` | `cornflowerblue`
`static java.lang.String` | `cornsilk`
`static java.lang.String` | `crimson`
`static java.lang.String` | `cyan`
`static java.lang.String` | `darkblue`
`static java.lang.String` | `darkcyan`
`static java.lang.String` | `darkgoldenrod`
`static java.lang.String` | `darkgray`
`static java.lang.String` | `darkgreen`
`static java.lang.String` | `darkkhaki`
`static java.lang.String` | `darkmagenta`
`static java.lang.String` | `darkolivegreen`
`static java.lang.String` | `darkorange`
`static java.lang.String` | `darkorchid`
`static java.lang.String` | `darkred`
`static java.lang.String` | `darksalmon`
`static java.lang.String` | `darkseagreen`
`static java.lang.String` | `darkslateblue`
`static java.lang.String` | `darkslategray`
`static java.lang.String` | `darkturquoise`
`static java.lang.String` | `darkviolet`
`static java.lang.String` | `deeppink`
`static java.lang.String` | `deepskyblue`
`static java.lang.String` | `dimgray`
`static java.lang.String` | `dodgerblue`
`static java.lang.String` | `firebrick`
`static java.lang.String` | `floralwhite`
`static java.lang.String` | `forestgreen`
`static java.lang.String` | `fuchsia`
`static java.lang.String` | `gainsboro`
`static java.lang.String` | `ghostwhite`
`static java.lang.String` | `gold`
`static java.lang.String` | `goldenrod`
`static java.lang.String` | `gray`
`static java.lang.String` | `green`
`static java.lang.String` | `greenyellow`
`static java.lang.String` | `honeydew`
`static java.lang.String` | `hotpink`
`static java.lang.String` | `indianred`
`static java.lang.String` | `indigo`
`static java.lang.String` | `ivory`
`static java.lang.String` | `khaki`
`static java.lang.String` | `lavender`
`static java.lang.String` | `lavenderblush`
`static java.lang.String` | `lawngreen`
`static java.lang.String` | `lemonchiffon`
`static java.lang.String` | `lightblue`
`static java.lang.String` | `lightcoral`
`static java.lang.String` | `lightcyan`
`static java.lang.String` | `lightgoldenrodyellow`
`static java.lang.String` | `lightgreen`
`static java.lang.String` | `lightgrey`
`static java.lang.String` | `lightpink`
`static java.lang.String` | `lightsalmon`
`static java.lang.String` | `lightseagreen`
`static java.lang.String` | `lightskyblue`
`static java.lang.String` | `lightslategray`
`static java.lang.String` | `lightsteelblue`
`static java.lang.String` | `lightyellow`
`static java.lang.String` | `lime`
`static java.lang.String` | `limegreen`
`static java.lang.String` | `linen`
`static java.lang.String` | `magenta`
`static java.lang.String` | `maroon`
`static java.lang.String` | `mediumaquamarine`
`static java.lang.String` | `mediumblue`
`static java.lang.String` | `mediumorchid`
`static java.lang.String` | `mediumpurple`
`static java.lang.String` | `mediumseagreen`
`static java.lang.String` | `mediumslateblue`
`static java.lang.String` | `mediumspringgreen`
`static java.lang.String` | `mediumturquoise`
`static java.lang.String` | `mediumvioletred`
`static java.lang.String` | `midnightblue`
`static java.lang.String` | `mintcream`
`static java.lang.String` | `mistyrose`
`static java.lang.String` | `moccasin`
`static java.lang.String` | `navajowhite`
`static java.lang.String` | `navy`
`static java.lang.String` | `oldlace`
`static java.lang.String` | `olive`
`static java.lang.String` | `olivedrab`
`static java.lang.String` | `orange`
`static java.lang.String` | `orangered`
`static java.lang.String` | `orchid`
`static java.lang.String` | `palegoldenrod`
`static java.lang.String` | `palegreen`
`static java.lang.String` | `paleturquoise`
`static java.lang.String` | `palevioletred`
`static java.lang.String` | `papayawhip`
`static java.lang.String` | `peachpuff`
`static java.lang.String` | `peru`
`static java.lang.String` | `pink`
`static java.lang.String` | `plum`
`static java.lang.String` | `powderblue`
`static java.lang.String` | `purple`
`static java.lang.String` | `red`
`static java.lang.String` | `rosybrown`
`static java.lang.String` | `royalblue`
`static java.lang.String` | `saddlebrown`
`static java.lang.String` | `salmon`
`static java.lang.String` | `sandybrown`
`static java.lang.String` | `seagreen`
`static java.lang.String` | `seashell`
`static java.lang.String` | `sienna`
`static java.lang.String` | `silver`
`static java.lang.String` | `skyblue`
`static java.lang.String` | `slateblue`
`static java.lang.String` | `slategray`
`static java.lang.String` | `snow`
`static java.lang.String` | `springgreen`
`static java.lang.String` | `steelblue`
`static java.lang.String` | `tan`
`static java.lang.String` | `teal`
`static java.lang.String` | `thistle`
`static java.lang.String` | `tomato`
`static java.lang.String` | `turquoise`
`static java.lang.String` | `violet`
`static java.lang.String` | `wheat`
`static java.lang.String` | `white`
`static java.lang.String` | `whitesmoke`
`static java.lang.String` | `yellow`
`static java.lang.String` | `yellowgreen`

Field Detail

### aliceblue

    public static final java.lang.String aliceblue

### antiquewhite

    public static final java.lang.String antiquewhite

### aqua

    public static final java.lang.String aqua

### aquamarine

    public static final java.lang.String aquamarine

### azure

    public static final java.lang.String azure

### beige

    public static final java.lang.String beige

### bisque

    public static final java.lang.String bisque

### black

    public static final java.lang.String black

### blanchedalmond

    public static final java.lang.String blanchedalmond

### blue

    public static final java.lang.String blue

### blueviolet

    public static final java.lang.String blueviolet

### brown

    public static final java.lang.String brown

### burlywood

    public static final java.lang.String burlywood

### cadetblue

    public static final java.lang.String cadetblue

### chartreuse

    public static final java.lang.String chartreuse

### chocolate

    public static final java.lang.String chocolate

### coral

    public static final java.lang.String coral

### cornflowerblue

    public static final java.lang.String cornflowerblue

### cornsilk

    public static final java.lang.String cornsilk

### crimson

    public static final java.lang.String crimson

### cyan

    public static final java.lang.String cyan

### darkblue

    public static final java.lang.String darkblue

### darkcyan

    public static final java.lang.String darkcyan

### darkgoldenrod

    public static final java.lang.String darkgoldenrod

### darkgray

    public static final java.lang.String darkgray

### darkgreen

    public static final java.lang.String darkgreen

### darkkhaki

    public static final java.lang.String darkkhaki

### darkmagenta

    public static final java.lang.String darkmagenta

### darkolivegreen

    public static final java.lang.String darkolivegreen

### darkorange

    public static final java.lang.String darkorange

### darkorchid

    public static final java.lang.String darkorchid

### darkred

    public static final java.lang.String darkred

### darksalmon

    public static final java.lang.String darksalmon

### darkseagreen

    public static final java.lang.String darkseagreen

### darkslateblue

    public static final java.lang.String darkslateblue

### darkslategray

    public static final java.lang.String darkslategray

### darkturquoise

    public static final java.lang.String darkturquoise

### darkviolet

    public static final java.lang.String darkviolet

### deeppink

    public static final java.lang.String deeppink

### deepskyblue

    public static final java.lang.String deepskyblue

### dimgray

    public static final java.lang.String dimgray

### dodgerblue

    public static final java.lang.String dodgerblue

### firebrick

    public static final java.lang.String firebrick

### floralwhite

    public static final java.lang.String floralwhite

### forestgreen

    public static final java.lang.String forestgreen

### fuchsia

    public static final java.lang.String fuchsia

### gainsboro

    public static final java.lang.String gainsboro

### ghostwhite

    public static final java.lang.String ghostwhite

### gold

    public static final java.lang.String gold

### goldenrod

    public static final java.lang.String goldenrod

### gray

    public static final java.lang.String gray

### green

    public static final java.lang.String green

### greenyellow

    public static final java.lang.String greenyellow

### honeydew

    public static final java.lang.String honeydew

### hotpink

    public static final java.lang.String hotpink

### indianred

    public static final java.lang.String indianred

### indigo

    public static final java.lang.String indigo

### ivory

    public static final java.lang.String ivory

### khaki

    public static final java.lang.String khaki

### lavender

    public static final java.lang.String lavender

### lavenderblush

    public static final java.lang.String lavenderblush

### lawngreen

    public static final java.lang.String lawngreen

### lemonchiffon

    public static final java.lang.String lemonchiffon

### lightblue

    public static final java.lang.String lightblue

### lightcoral

    public static final java.lang.String lightcoral

### lightcyan

    public static final java.lang.String lightcyan

### lightgoldenrodyellow

    public static final java.lang.String lightgoldenrodyellow

### lightgreen

    public static final java.lang.String lightgreen

### lightgrey

    public static final java.lang.String lightgrey

### lightpink

    public static final java.lang.String lightpink

### lightsalmon

    public static final java.lang.String lightsalmon

### lightseagreen

    public static final java.lang.String lightseagreen

### lightskyblue

    public static final java.lang.String lightskyblue

### lightslategray

    public static final java.lang.String lightslategray

### lightsteelblue

    public static final java.lang.String lightsteelblue

### lightyellow

    public static final java.lang.String lightyellow

### lime

    public static final java.lang.String lime

### limegreen

    public static final java.lang.String limegreen

### linen

    public static final java.lang.String linen

### magenta

    public static final java.lang.String magenta

### maroon

    public static final java.lang.String maroon

### mediumaquamarine

    public static final java.lang.String mediumaquamarine

### mediumblue

    public static final java.lang.String mediumblue

### mediumorchid

    public static final java.lang.String mediumorchid

### mediumpurple

    public static final java.lang.String mediumpurple

### mediumseagreen

    public static final java.lang.String mediumseagreen

### mediumslateblue

    public static final java.lang.String mediumslateblue

### mediumspringgreen

    public static final java.lang.String mediumspringgreen

### mediumturquoise

    public static final java.lang.String mediumturquoise

### mediumvioletred

    public static final java.lang.String mediumvioletred

### midnightblue

    public static final java.lang.String midnightblue

### mintcream

    public static final java.lang.String mintcream

### mistyrose

    public static final java.lang.String mistyrose

### moccasin

    public static final java.lang.String moccasin

### navajowhite

    public static final java.lang.String navajowhite

### navy

    public static final java.lang.String navy

### oldlace

    public static final java.lang.String oldlace

### olive

    public static final java.lang.String olive

### olivedrab

    public static final java.lang.String olivedrab

### orange

    public static final java.lang.String orange

### orangered

    public static final java.lang.String orangered

### orchid

    public static final java.lang.String orchid

### palegoldenrod

    public static final java.lang.String palegoldenrod

### palegreen

    public static final java.lang.String palegreen

### paleturquoise

    public static final java.lang.String paleturquoise

### palevioletred

    public static final java.lang.String palevioletred

### papayawhip

    public static final java.lang.String papayawhip

### peachpuff

    public static final java.lang.String peachpuff

### peru

    public static final java.lang.String peru

### pink

    public static final java.lang.String pink

### plum

    public static final java.lang.String plum

### powderblue

    public static final java.lang.String powderblue

### purple

    public static final java.lang.String purple

### red

    public static final java.lang.String red

### rosybrown

    public static final java.lang.String rosybrown

### royalblue

    public static final java.lang.String royalblue

### saddlebrown

    public static final java.lang.String saddlebrown

### salmon

    public static final java.lang.String salmon

### sandybrown

    public static final java.lang.String sandybrown

### seagreen

    public static final java.lang.String seagreen

### seashell

    public static final java.lang.String seashell

### sienna

    public static final java.lang.String sienna

### silver

    public static final java.lang.String silver

### skyblue

    public static final java.lang.String skyblue

### slateblue

    public static final java.lang.String slateblue

### slategray

    public static final java.lang.String slategray

### snow

    public static final java.lang.String snow

### springgreen

    public static final java.lang.String springgreen

### steelblue

    public static final java.lang.String steelblue

### tan

    public static final java.lang.String tan

### teal

    public static final java.lang.String teal

### thistle

    public static final java.lang.String thistle

### tomato

    public static final java.lang.String tomato

### turquoise

    public static final java.lang.String turquoise

### violet

    public static final java.lang.String violet

### wheat

    public static final java.lang.String wheat

### white

    public static final java.lang.String white

### whitesmoke

    public static final java.lang.String whitesmoke

### yellow

    public static final java.lang.String yellow

### yellowgreen

    public static final java.lang.String yellowgreen

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD